<semantic-table
  id='table-texts'
  query='SELECT ?subject ?label (group_concat(?alias; separator=", ") as ?aliases) ?author ?year ?ismi_id 
  WHERE {
    ?subject a ismi:Text ;
      rdfs:label ?label ;
      frbroo:R16i_was_initiated_by ?creation ;
      crm:P1_is_identified_by ?id .
    ?creation crm:P14_carried_out_by ?author .
    ?id crm:P2_has_type ismiidtype:ismi-id ;
       rdfs:label ?ismi_id .
    OPTIONAL {
      ?subject crm:P102_has_title ?alias_uri .
      ?alias_uri crm:P2_has_type ismititletype:alias-title ;
        rdfs:label ?alias .
    }
    OPTIONAL {
      ?creation crm:P4_has_time-span / (crm:P82_at_some_time_within | crm:P82a_begin_of_the_begin) ?date .
      bind(year(?date) as ?year)
    }
  } GROUP BY ?subject ?label ?author ?year ?ismi_id 
  ORDER BY lcase(?label)'
  number-of-displayed-rows=100
  column-configuration='[
  [[#if copyId]] 
    { 
      "displayName": "Select",
      "cellTemplate": "<mp-copy-to-clipboard text=\"{{ismi_id.value}}\"><button class=\"btn btn-sm btn-primary\">Copy ID</button></mp-copy-to-clipboard>"
    },
    {"variableName": "ismi_id", "displayName": "ID"},
  [[/if]]
    {"variableName": "subject", "displayName": "Title"},
    {"variableName": "aliases", "displayName": "Aliases"},
    {"variableName": "author", "displayName": "Author"},
    {"variableName": "year", "displayName": "Year(G)"}
  ]'
  options='{"showFilter": false}'
  >
</semantic-table>
